cURL
curl --request GET \ --url https://api.mottostreaming.com/monetization/ads/v1/video_ads/{video_ad_id} \ --header 'Authorization: Bearer <token>'
{ "video_ad": { "project_id": "<string>", "name": "<string>", "id": "<string>", "ad_manifest": { "title": "<string>", "video_files": [ { "config": { "asset_id": "<string>" } } ], "aspect_ratio": "<string>", "duration_seconds": 123, "allow_skip_after_seconds": 123, "clickthrough_url": "<string>", "impression_tracking_url": "<string>", "error_tracking_url": "<string>" }, "ad_tag_url": "<string>", "geo_applicability_exempt": { "country_codes": [ "<string>" ] }, "geo_applicability_apply": { "country_codes": [ "<string>" ] }, "applies_to_all": true, "target": { "entity_ids": [ "<string>" ], "event_ids": [ "<string>" ], "creative_work_ids": [ "<string>" ], "content_start_time": "2023-11-07T05:31:56Z", "content_end_time": "2023-11-07T05:31:56Z" }, "priority": "<string>" } }
GetVideoAd
Returns information about the video_ad.
Documentation IndexFetch the complete documentation index at: https://docs.mottostreaming.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
OK
Show child attributes